CREATE DATABASE template0;

UPDATE pg_database SET \
    datistemplate = 't', \
    datallowconn = 'f' \
    WHERE datname = 'template0';

-- We use the OID of template0 to determine lastsysoid

UPDATE pg_database SET datlastsysoid = \
    (SELECT oid - 1 FROM pg_database WHERE datname = 'template0');

VACUUM FULL pg_database;

